Bug 183097 - Review Request: rogue - text-based adventure game
Review Request: rogue - text-based adventure game
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-02-26 00:45 EST by Wart
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-29 09:06:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Wart 2006-02-26 00:45:02 EST
Spec Name or Url: http://www.kobold.org/~wart/fedora/rogue.spec
SRPM Name or Url: http://www.kobold.org/~wart/fedora/rogue-5.4.2-1.src.rpm
Before DOOM, there were the Dungeons of DOOM.  This is the game that started an entire genre.
Comment 1 Wart 2006-02-26 00:49:30 EST
rogue is setgid 'games' so that everyone who runs the game can write to the high
score file.  This causes rpmlint to complain:

E: rogue non-standard-dir-perm /var/games/roguelike 0775
E: rogue non-standard-executable-perm /usr/bin/rogue 02755

I am inclined to ignore this.
Comment 2 John Mahowald 2006-03-10 00:05:01 EST

- rpmlint checks return:
E: rogue non-standard-dir-perm /var/games/roguelike 0775
E: rogue non-standard-executable-perm /usr/bin/rogue 02755
ignored as per comment 1.

- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop  file
- runs :)

Comment 3 Wart 2006-03-13 00:13:27 EST
Imported and built.  Thanks!
Comment 4 John Mahowald 2006-08-29 09:06:09 EDT
Assigning to me.
Comment 5 Wart 2007-10-15 14:54:59 EDT
Package Change Request
Package Name: rogue
New Branches: F-8
Comment 6 Kevin Fenzi 2007-10-15 16:37:22 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.